-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_ToggleWorldBossesOptions()
	local show;
	if(WorldBossesOptionsShow) then
		WorldBossesOptionsShow = false;
		show = true;
	else
		WorldBossesOptionsShow = true;
		show = false;
		DKPMaster_Toggle(2, show);
		DKPMaster_Toggle(3, show);
		DKPMaster_Toggle(4, show);
		DKPMaster_Toggle(5, show);
		DKPMaster_Toggle(6, show);
		DKPMaster_Toggle(7, show);
		DKPMaster_Toggle(8, show);
		DKPMaster_Toggle(9, show);
		DKPMaster_Toggle(11,show);
		DKPMaster_Toggle(12,show);
		HelpOptionsShow = false;
		AwardOptionsShow = false;
		MCOptionsShow = false;
		BWLOptionsShow = false;
		AQOptionsShow = false;
		OnyxiaOptionsShow = false;
		AboutFrameShow = false;
	end
	DKPMaster_Toggle(10, WorldBossesOptionsShow);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame10_loadinfo()
	if(DKPM_OutdoorBossesOn == true) then
		getglobal("DKPMasterframe10_EnableBox"):SetText("On");
	else
		getglobal("DKPMasterframe10_EnableBox"):SetText("Off");
	end
	getglobal("DKPMasterframe10_YsondreBox"):SetText(DKPM_DKP_Points[29]);
	getglobal("DKPMasterframe10_TaerarBox"):SetText(DKPM_DKP_Points[30]);
	getglobal("DKPMasterframe10_EmerissBox"):SetText(DKPM_DKP_Points[31]);
	getglobal("DKPMasterframe10_LethonBox"):SetText(DKPM_DKP_Points[32]);
	getglobal("DKPMasterframe10_AzuregosBox"):SetText(DKPM_DKP_Points[33]);
	getglobal("DKPMasterframe10_KazzakBox"):SetText(DKPM_DKP_Points[34]);
	getglobal("DKPMasterframe10_OutdoorWorldBossesEventNameBox"):SetText(DKPMOutdoorWorldBossesEventName);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame10_setinfo()
	DKPM_DKP_Points[29] = getglobal("DKPMasterframe10_YsondreBox"):GetText();
	DKPM_DKP_Points[30] = getglobal("DKPMasterframe10_TaerarBox"):GetText();
	DKPM_DKP_Points[31] = getglobal("DKPMasterframe10_EmerissBox"):GetText();
	DKPM_DKP_Points[32] = getglobal("DKPMasterframe10_LethonBox"):GetText();
	DKPM_DKP_Points[33] = getglobal("DKPMasterframe10_AzuregosBox"):GetText();
	DKPM_DKP_Points[34] = getglobal("DKPMasterframe10_KazzakBox"):GetText();
	DKPMOutdoorWorldBossesEventName = getglobal("DKPMasterframe10_OutdoorWorldBossesEventNameBox"):GetText();
	
	loadPoints(); -- load up save DKP points
	
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame10_OutdoorBossesClick(pChecked)
	if(pChecked == nil) then
		DKPM_OutdoorBossesOn = false;
		getglobal("DKPMasterframe10_Enable"):SetText("Off");
	else
		DKPM_OutdoorBossesOn = true;
		getglobal("DKPMasterframe10_Enable"):SetText("On");
	end
	getglobal("DKPMasterframe10_Enable"):Show();
end