-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_ToggleOnyxiaOptions()
	local show;
	if(OnyxiaOptionsShow) then
		OnyxiaOptionsShow = false;
		show = true;
	else
		OnyxiaOptionsShow = true;
		show = false;
		DKPMaster_Toggle(2, show);
		DKPMaster_Toggle(3, show);
		DKPMaster_Toggle(4, show);
		DKPMaster_Toggle(5, show);
		DKPMaster_Toggle(6, show);
		DKPMaster_Toggle(8, show);
		DKPMaster_Toggle(9, show);
		DKPMaster_Toggle(10, show);
		DKPMaster_Toggle(11,show);
		DKPMaster_Toggle(12,show);
		HelpOptionsShow = false;
		AwardOptionsShow = false;
		MCOptionsShow = false;
		BWLOptionsShow = false;
		AQOptionsShow = false;
		WorldBossesOptionsShow = false;
		AboutFrameShow = false;
	end
		
	DKPMaster_Toggle(7, OnyxiaOptionsShow);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame7_loadinfo()
	if(DKPM_OnyxiaOn == true) then
		getglobal("DKPMasterframe7_EnableBox"):SetText("On");
	else
		getglobal("DKPMasterframe7_EnableBox"):SetText("Off");
	end
	getglobal("DKPMasterframe7_OnyxiaBox"):SetText(DKPM_DKP_Points[14]);
	getglobal("DKPMasterframe7_OnyxiaEventNameBox"):SetText(DKPMOnyxiaEventName);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame7_setinfo()
	DKPM_DKP_Points[14] = getglobal("DKPMasterframe7_OnyxiaBox"):GetText();
	DKPMOnyxiaEventName = getglobal("DKPMasterframe7_OnyxiaEventNameBox"):GetText();
	
	loadPoints(); -- load up save DKP points
	
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame7_OnyxiaClick(pChecked)
	if(pChecked == nil) then
		DKPM_OnyxiaOn = false;
		getglobal("DKPMasterframe7_Enable"):SetText("Off");
	else
		DKPM_OnyxiaOn = true;
		getglobal("DKPMasterframe7_Enable"):SetText("On");
	end
	getglobal("DKPMasterframe7_Enable"):Show();
end