-- PreConditions: secondvar is optional
-- PostConditions: None
-- Comments: toggles target frame
function DKPMaster_Toggle(frameNum, showFrame)
	local incFrame = getglobal("DKPMaster_Frame"..frameNum)
	if (incFrame) then
		if(not DKPM_RAIDLEADER and (frameNum == 3 or frameNum == 4))then	
			return;
		end
		if(showFrame==true) then
			incFrame:Show();
			DKPM_FramesOpen[frameNum] = true
		elseif(showFrame==false) then
			incFrame:Hide();
			DKPM_FramesOpen[frameNum] = false
		else
			if(  incFrame:IsVisible() ) then
				incFrame:Hide();
				DKPM_FramesOpen[frameNum] = false
			else
				incFrame:Show();
				DKPM_FramesOpen[frameNum] = true
	
			end
		end
	end
end

-- PreConditions: secondvar is optional
-- PostConditions: None
-- Comments:
function DKPMasterButton_BeingDragged()
    -- Thanks to Gello for this code
    local xpos,ypos = GetCursorPosition() 
    local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom() 

    xpos = xmin-xpos/UIParent:GetScale()+70 
    ypos = ypos/UIParent:GetScale()-ymin-70 
	DKPMasterButton_SetPosition(math.deg(math.atan2(ypos,xpos)));
end

-- PreConditions: secondvar is optional
-- PostConditions: None
-- Comments:
function DKPMasterButton_OnClick()
	if (DKPM_DISABLED[DKPM_ME] == false) then
		if(MiniMapShowAll == false) then
			MiniMapShowAll = true;
			DKPMaster_Toggle(1, false);
			DKPMaster_Toggle(2, true);
			DKPMaster_Toggle(3, false);
			DKPMaster_Toggle(4, false);
		else
			MiniMapShowAll = false;
			DKPMaster_Toggle(1, false);
			DKPMaster_Toggle(2, false);
			DKPMaster_Toggle(3, false);
			DKPMaster_Toggle(4, false);
		end
		DKPMaster_RefreshAll();
	end
end

-- PreConditions: secondvar is optional
-- PostConditions: None
-- Comments:
function DKPMasterButton_OnEnter()
    GameTooltip:SetOwner(this, "ANCHOR_LEFT");
    GameTooltip:SetText(DKPM_BUTTON_TOOLTIP);
    GameTooltip:AddLine(DKPM_BUTTON_TOOLTIP2);
    GameTooltip:AddLine(DKPM_BUTTON_TOOLTIP3);
    GameTooltip:Show();
end

-- PreConditions: secondvar is optional
-- PostConditions: None
-- Comments:
function DKPMasterButton_Init()
	if(DKPMButtonShown) then
		DKPMasterMiniMapButtonFrame:Show();
	else
		DKPMasterMiniMapButtonFrame:Hide();
	end
	if(DKPMButtonPosition ~= nil) then
		DKPMasterButton_SetPosition(DKPMButtonPosition);
	end
end

-- PreConditions: secondvar is optional
-- PostConditions: None
-- Comments:
function DKPMasterButton_UpdatePosition()
	DKPMasterMiniMapButtonFrame:SetPoint(
		"TOPLEFT",
		"Minimap",
		"TOPLEFT",
		54 - (78 * cos(DKPMButtonPosition)),
		(78 * sin(DKPMButtonPosition)) - 55
	);
end

-- PreConditions: secondvar is optional
-- PostConditions: None
-- Comments:
function DKPMasterButton_SetPosition(v)
    if(v ~= nil) then
		if(v < 0) then
			v = v + 360;
		end
	
		DKPMButtonPosition = v;
		DKPMasterButton_UpdatePosition();
	end
end

