-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_ToggleBWLOptions()
	local show;
	if(BWLOptionsShow) then
		BWLOptionsShow = false;
		show = true;
	else
		BWLOptionsShow = true;
		show = false;
		DKPMaster_Toggle(2, show);
		DKPMaster_Toggle(3, show);
		DKPMaster_Toggle(4, show);
		DKPMaster_Toggle(5, show);
		DKPMaster_Toggle(6, show);
		DKPMaster_Toggle(7, show);
		DKPMaster_Toggle(9, show);
		DKPMaster_Toggle(10, show);
		DKPMaster_Toggle(11,show);
		DKPMaster_Toggle(12,show);
		HelpOptionsShow = false;
		AwardOptionsShow = false;
		MCOptionsShow = false;
		AQOptionsShow = false;
		OnyxiaOptionsShow = false;
		WorldBossesOptionsShow = false;
		AboutFrameShow = false;
	end
	
	DKPMaster_Toggle(8, BWLOptionsShow);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame8_loadinfo()
	if(DKPM_BWLOn == true) then
		getglobal("DKPMasterframe8_EnableBox"):SetText("On");
	else
		getglobal("DKPMasterframe8_EnableBox"):SetText("Off");
	end
	getglobal("DKPMasterframe8_RazorgoreBox"):SetText(DKPM_DKP_Points[15]);
	getglobal("DKPMasterframe8_BroodLordBox"):SetText(DKPM_DKP_Points[16]);
	getglobal("DKPMasterframe8_ChromaggusBox"):SetText(DKPM_DKP_Points[17]);
	getglobal("DKPMasterframe8_EbonrocBox"):SetText(DKPM_DKP_Points[18]);
	getglobal("DKPMasterframe8_FiremawBox"):SetText(DKPM_DKP_Points[19]);
	getglobal("DKPMasterframe8_VaelastraszBox"):SetText(DKPM_DKP_Points[20]);
	getglobal("DKPMasterframe8_FlamegorBox"):SetText(DKPM_DKP_Points[21]);
	getglobal("DKPMasterframe8_NefarianBox"):SetText(DKPM_DKP_Points[22]);
	getglobal("DKPMasterframe8_BlackWingLairEventNameBox"):SetText(DKPMBlackWingLairEventName);
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame8_setinfo()
	DKPM_DKP_Points[15] = getglobal("DKPMasterframe8_RazorgoreBox"):GetText();
	DKPM_DKP_Points[16] = getglobal("DKPMasterframe8_BroodLordBox"):GetText();
	DKPM_DKP_Points[17] = getglobal("DKPMasterframe8_ChromaggusBox"):GetText();
	DKPM_DKP_Points[18] = getglobal("DKPMasterframe8_EbonrocBox"):GetText();
	DKPM_DKP_Points[19] = getglobal("DKPMasterframe8_FiremawBox"):GetText();
	DKPM_DKP_Points[20] = getglobal("DKPMasterframe8_VaelastraszBox"):GetText();
	DKPM_DKP_Points[21] = getglobal("DKPMasterframe8_FlamegorBox"):GetText();
	DKPM_DKP_Points[22] = getglobal("DKPMasterframe8_NefarianBox"):GetText();
	DKPMBlackWingLairEventName = getglobal("DKPMasterframe8_BlackWingLairEventNameBox"):GetText();
	
	loadPoints(); -- load up save DKP points
	
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frame8_BWLClick(pChecked)
	if(pChecked == nil) then
		DKPM_BWLOn = false;
		getglobal("DKPMasterframe8_Enable"):SetText("Off");
	else
		DKPM_BWLOn = true;
		getglobal("DKPMasterframe8_Enable"):SetText("On");
	end
	getglobal("DKPMasterframe8_Enable"):Show();
end