-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_ToggleAQ20Options()
	local show;
	if(AQ20OptionsShow) then
		AQ20OptionsShow = false;
		show = true;
		getglobal("DKPMaster_FrameAQ20"):Hide();
	else
		AQ20OptionsShow = true;
		show = false;
		DKPMaster_Toggle(2, show);
		DKPMaster_Toggle(3, show);
		DKPMaster_Toggle(4, show);
		DKPMaster_Toggle(5, show);
		DKPMaster_Toggle(6, show);
		DKPMaster_Toggle(7, show);
		DKPMaster_Toggle(8, show);
		DKPMaster_Toggle(9, show);
		DKPMaster_Toggle(11,show);
		DKPMaster_Toggle(12,show);
		HelpOptionsShow = false;
		AwardOptionsShow = false;
		MCOptionsShow = false;
		BWLOptionsShow = false;
		AQOptionsShow = false;
		OnyxiaOptionsShow = false;
		AboutFrameShow = false;
		getglobal("DKPMaster_FrameAQ20"):Show();
		getglobal("DKPMaster_FrameNaxxramas"):Hide();
		getglobal("DKPMaster_FrameZulGurub"):Hide();
	end
	--DKPMaster_Toggle(10, NaxxramasBossesOptionsShow);
	
	
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frameAQ20_loadinfo()
	if(DKPM_AQ20On == true) then
		getglobal("DKPMasterframeAQ20_EnableBox"):SetText("On");
	else
		getglobal("DKPMasterframeAQ20_EnableBox"):SetText("Off");
	end
	getglobal("DKPMasterframeAQ20_KURINAXXBox"):SetText(DKPM_DKP_Points[66]);
	getglobal("DKPMasterframeAQ20_RAJAXXBox"):SetText(DKPM_DKP_Points[67]);
	getglobal("DKPMasterframeAQ20_MOAMBox"):SetText(DKPM_DKP_Points[68]);
	getglobal("DKPMasterframeAQ20_BURUBox"):SetText(DKPM_DKP_Points[69]);
	getglobal("DKPMasterframeAQ20_AYAMISSBox"):SetText(DKPM_DKP_Points[70]);
	getglobal("DKPMasterframeAQ20_OSSIRIANBox"):SetText(DKPM_DKP_Points[71]);
	getglobal("DKPMasterframeAQ20_AQ20EventNameBox"):SetText(DKPMAQ20EventName);
	
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frameAQ20_setinfo()
	DKPM_DKP_Points[66] = getglobal("DKPMasterframeAQ20_KURINAXXBox"):GetText();
	DKPM_DKP_Points[67] = getglobal("DKPMasterframeAQ20_RAJAXXBox"):GetText();
	DKPM_DKP_Points[68] = getglobal("DKPMasterframeAQ20_MOAMBox"):GetText();
	DKPM_DKP_Points[69] = getglobal("DKPMasterframeAQ20_BURUBox"):GetText();
	DKPM_DKP_Points[70] = getglobal("DKPMasterframeAQ20_AYAMISSBox"):GetText();
	DKPM_DKP_Points[71] = getglobal("DKPMasterframeAQ20_OSSIRIANBox"):GetText();
	DKPMAQ20EventName = getglobal("DKPMasterframeAQ20_AQ20EventNameBox"):GetText();
	
	loadPoints(); -- load up save DKP points
	
end

-- PreConditions: None
-- PostConditions: None
-- Comments:
function DKPMaster_frameAQ20_Click(pChecked)
	if(pChecked == nil) then
		DKPM_AQ20On = false;
		getglobal("DKPMasterframeAQ20_Enable"):SetText("Off");
	else
		DKPM_AQ20On = true;
		getglobal("DKPMasterframeAQ20_Enable"):SetText("On");
	end
	getglobal("DKPMasterframeAQ20_Enable"):Show();
end